Auth-Sessions
Create AuthSession - Result
Get AuthSession creation result.
GET
/
{workspaceId}
/
projects
/
{projectName}
/
auth-sessions
/
create
/
{operationId}
/
result
createAuthSessionResult
import { IntunedClient } from "@intuned/client";
const client = new IntunedClient({
workspaceId: "123e4567-e89b-12d3-a456-426614174000",
apiKey: process.env["INTUNED_API_KEY"] ?? "",
});
async function run() {
const result = await client.projects.authSessions.create.result(
"my-project",
"aaaabbbCCCCdddd",
);
console.log(result);
}
run();from intuned_client import IntunedClient
import os
with IntunedClient(
workspace_id="123e4567-e89b-12d3-a456-426614174000",
api_key=os.getenv("INTUNED_API_KEY", ""),
) as client:
res = client.projects.auth_sessions.create.result(
project_name="my-project",
operation_id="aaaabbbCCCCdddd",
)
print(res)curl --request GET \
--url https://app.intuned.io/api/v1/workspace/{workspaceId}/projects/{projectName}/auth-sessions/create/{operationId}/result \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.intuned.io/api/v1/workspace/{workspaceId}/projects/{projectName}/auth-sessions/create/{operationId}/result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "done",
"authSessionId": "auth-session-123"
}Authorizations
API Key used to authenticate your requests. How to create one.
Path Parameters
Your workspace ID. How to find it?
The name you assigned when creating the Project.
The ID for the operation. This is obtained from the start request.
Response
200 - application/json
AuthSession creation result
⌘I
createAuthSessionResult
import { IntunedClient } from "@intuned/client";
const client = new IntunedClient({
workspaceId: "123e4567-e89b-12d3-a456-426614174000",
apiKey: process.env["INTUNED_API_KEY"] ?? "",
});
async function run() {
const result = await client.projects.authSessions.create.result(
"my-project",
"aaaabbbCCCCdddd",
);
console.log(result);
}
run();from intuned_client import IntunedClient
import os
with IntunedClient(
workspace_id="123e4567-e89b-12d3-a456-426614174000",
api_key=os.getenv("INTUNED_API_KEY", ""),
) as client:
res = client.projects.auth_sessions.create.result(
project_name="my-project",
operation_id="aaaabbbCCCCdddd",
)
print(res)